> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ad Detail

> Get Ad Detail



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/ad-library/detail
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/ad-library/detail:
    get:
      tags:
        - Ads
      summary: Get Ad Detail
      description: Get Ad Detail
      operationId: getApiV1Ad-libraryDetail
      parameters:
        - in: query
          name: ad_id
          schema:
            type: string
            pattern: ^\d+$
            description: Ad ID
            example: '637671316'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Ad ID
                        example: '637671316'
                      content:
                        type: string
                        description: Ad content
                        example: >-
                          Discover how to secure each layer of your Kubernetes
                          infrastructure, from identifying risky service
                          misconfigurations to mitigating threats, with these
                          actionable insights.
                      ad_url:
                        type: string
                        description: Ad URL
                        example: https://www.linkedin.com/ad-library/detail/637671316
                      image:
                        type: string
                        description: Ad image URL
                        example: >-
                          https://media.licdn.com/dms/image/v2/D5610AQHtcYawAj6YFQ/image-shrink_1280/B56ZVdZy93HQAQ-/0/1741028799247/KubernetesSecurity_ebook_coverpreview_1200x1200png?e=2147483647&v=beta&t=_nHCjPukv7WQxxGbsCtlf7VH6DzntKMFGD1NIMrmMOw
                      advertiser:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Advertiser name
                            example: Datadog
                          url:
                            type: string
                            description: Advertiser URL
                            example: >-
                              https://www.linkedin.com/company/1066442?trk=ad_library_about_ad_advertiser
                        description: Advertiser information
                      publisher:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Publisher name
                            example: Datadog
                          url:
                            type: string
                            description: Publisher URL
                            example: >-
                              https://www.linkedin.com/company/1066442?trk=ad_library_ad_preview_advertiser
                        description: Publisher information
                      ad_type:
                        type: string
                        description: Ad type
                        example: Single Image Ad
                      paid_for_by:
                        type: string
                        description: Paid for by
                        example: Datadog
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````